#!/usr/local/bin/ruby

require "libgraph"

bar = Libgraph::Bar.new("test_bar", 200, 200)

STDERR.print "bar.get_title: ", bar.get_title, "\n"
STDERR.print "bar.get_size: ", bar.get_size, "\n"
STDERR.print "bar.get_bg_color: ", bar.get_bg_color, "\n"

bar.set_bg_color(Libgraph::WHITE)
STDERR.print "bar.get_bg_color: ", bar.get_bg_color, "\n"

bar.add_col("hoge1", 20)
bar.add_col("hoge2", 30)
bar.add_col("hoge3", 50)

bar.render
bar.save("test_bar.png")
