#!/usr/local/bin/ruby

require "libgraph"

line = Libgraph::Line.new("test_line", 200, 200)

STDERR.print "line.get_title: ", line.get_title, "\n"
STDERR.print "line.get_size: ", line.get_size, "\n"
STDERR.print "line.get_bg_color: ", line.get_bg_color, "\n"

line.set_bg_color(Libgraph::WHITE)
STDERR.print "line.get_bg_color: ", line.get_bg_color, "\n"

line.add_point("hoge1", 20)
line.add_point("hoge2", 30)
line.add_point("hoge3", 50)

line.render
line.save("test_line.png")
