#!/usr/local/bin/ruby

require "libgraph"

multibar = Libgraph::MultiBar.new("test_multibar_dbl", 500, 300, 2)

STDERR.print "MultiBar.get_title: ", multibar.get_title, "\n"
STDERR.print "MultiBar.get_size: ", multibar.get_size, "\n"
STDERR.print "MultiBar.get_bg_color: ", multibar.get_bg_color, "\n"

multibar.set_bg_color(Libgraph::WHITE)
STDERR.print "MultiBar.get_bg_color: ", multibar.get_bg_color, "\n"

multibar.add_col_dbl("hoge1", [20.1, 100.2])
multibar.add_col_dbl("hoge2", [30.3, 10.4])
multibar.add_col_dbl("hoge3", [50.5, 120.6])
#multibar.add_col_dbl("hoge3", [50.7, 120.8, 20.9])

multibar.render
multibar.save("test_multibar_dbl.png")
