#!/usr/local/bin/ruby

require "libgraph"

bar = Libgraph::Bar.new("test_bar_dbl", 200, 200)

STDERR.print "bar.get_title: ", bar.get_title, "\n"
STDERR.print "bar.get_size: ", bar.get_size, "\n"
STDERR.print "bar.get_bg_color: ", bar.get_bg_color, "\n"

bar.set_bg_color(Libgraph::WHITE)
STDERR.print "bar.get_bg_color: ", bar.get_bg_color, "\n"

bar.add_col_dbl("hoge1", 20.5)
bar.add_col_dbl("hoge2", 30.3)
bar.add_col_dbl("hoge3", 50.9)

bar.render
bar.save("test_bar_dbl.png")
