#!/usr/local/bin/ruby

require "libgraph"

line = Libgraph::Line.new("test_line_dbl", 200, 200)

STDERR.print "line.get_title: ", line.get_title, "\n"
STDERR.print "line.get_size: ", line.get_size, "\n"
STDERR.print "line.get_bg_color: ", line.get_bg_color, "\n"

line.set_bg_color(Libgraph::WHITE)
STDERR.print "line.get_bg_color: ", line.get_bg_color, "\n"

line.add_point_dbl("hoge1", 20.5)
line.add_point_dbl("hoge2", 30.3)
line.add_point_dbl("hoge3", 50.9)

line.render
line.save("test_line_dbl.png")
