#!/usr/local/bin/ruby

require "libgraph"

multibar = Libgraph::MultiBar.new("test_multibar", 500, 300, 2)

STDERR.print "MultiBar.get_title: ", multibar.get_title, "\n"
STDERR.print "MultiBar.get_size: ", multibar.get_size, "\n"
STDERR.print "MultiBar.get_bg_color: ", multibar.get_bg_color, "\n"

multibar.set_bg_color(Libgraph::WHITE)
STDERR.print "MultiBar.get_bg_color: ", multibar.get_bg_color, "\n"

multibar.add_col("hoge1", [20, 100])
multibar.add_col("hoge2", [30, 10])
multibar.add_col("hoge3", [50, 120])
#multibar.add_col("hoge3", [50, 120, 20])

multibar.render
multibar.save("test_multibar.png")
