#!/usr/local/bin/ruby

require "libgraph"

multiline = Libgraph::MultiLine.new("test_multiline", 500, 300, 2)

STDERR.print "MultiLine.get_title: ", multiline.get_title, "\n"
STDERR.print "MultiLine.get_size: ", multiline.get_size, "\n"
STDERR.print "MultiLine.get_bg_color: ", multiline.get_bg_color, "\n"

multiline.set_bg_color(Libgraph::WHITE)
STDERR.print "MultiLine.get_bg_color: ", multiline.get_bg_color, "\n"

multiline.add_point("hoge1", [20, 100])
multiline.add_point("hoge2", [30, 10])
multiline.add_point("hoge3", [50, 120])
#multiline.add_point("hoge3", [50, 120, 20])

multiline.render
multiline.save("test_multiline.png")
