#!/usr/local/bin/ruby

require "libgraph"

multiline = Libgraph::MultiLine.new("test_multiline_dbl", 500, 300, 2)

STDERR.print "MultiLine.get_title: ", multiline.get_title, "\n"
STDERR.print "MultiLine.get_size: ", multiline.get_size, "\n"
STDERR.print "MultiLine.get_bg_color: ", multiline.get_bg_color, "\n"

multiline.set_bg_color(Libgraph::WHITE)
STDERR.print "MultiLine.get_bg_color: ", multiline.get_bg_color, "\n"

multiline.add_point_dbl("hoge1", [20.1, 100.2])
multiline.add_point_dbl("hoge2", [30.3, 10.4])
multiline.add_point_dbl("hoge3", [50.5, 120.6])
#multiline.add_point_dbl("hoge3", [50.7, 120.8, 20.9])

multiline.render
multiline.save("test_multiline_dbl.png")
