#!/usr/local/bin/ruby

require "libgraph"

pie = Libgraph::Pie.new("test_pie", 200, 200)

STDERR.print "pie.get_title: ", pie.get_title, "\n"
STDERR.print "pie.get_size: ", pie.get_size, "\n"
STDERR.print "pie.get_bg_color: ", pie.get_bg_color, "\n"

pie.set_bg_color(Libgraph::WHITE)
STDERR.print "pie.get_bg_color: ", pie.get_bg_color, "\n"

pie.add_slice("hoge1", 20)
pie.add_slice("hoge2", 30)
pie.add_slice("hoge3", 50)

pie.render
pie.save("test_pie.png")
