#!/usr/local/bin/ruby

require "libgraph"

pie = Libgraph::Pie.new("test_pie_dbl", 200, 200)

STDERR.print "pie.get_title: ", pie.get_title, "\n"
STDERR.print "pie.get_size: ", pie.get_size, "\n"
STDERR.print "pie.get_bg_color: ", pie.get_bg_color, "\n"

pie.set_bg_color(Libgraph::WHITE)
STDERR.print "pie.get_bg_color: ", pie.get_bg_color, "\n"

pie.add_slice_dbl("hoge1", 20.5)
pie.add_slice_dbl("hoge2", 30.3)
pie.add_slice_dbl("hoge3", 50.9)

pie.render
pie.save("test_pie_dbl.png")
